summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMiklós Tóth2020-10-15 00:08:19 +0000
committerMiklós Tóth2020-10-15 00:08:19 +0000
commit05429dadd37d7a00c333c3b804a73f3f8709617e (patch)
treec35be6d22dd71359aa7cfc6c037ce9533dcf025f
parent6c267c7120c8b2838c9b51b0382c3d2034d0b804 (diff)
downloadaur-05429dadd37d7a00c333c3b804a73f3f8709617e.tar.gz
automatic update
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD8
2 files changed, 7 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 512d7209ce1..35f97677d0a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = linux-xanmod-anbox
pkgdesc = Linux Xanmod with ashmem and binder enabled for Anbox
- pkgver = 5.8.14
+ pkgver = 5.8.15
pkgrel = 1
url = http://www.xanmod.org/
arch = x86_64
@@ -18,14 +18,14 @@ pkgbase = linux-xanmod-anbox
options = !strip
source = https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.8.tar.xz
source = https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.8.tar.sign
- source = https://github.com/xanmod/linux/releases/download/5.8.14-xanmod1/patch-5.8.14-xanmod1.xz
+ source = https://github.com/xanmod/linux/releases/download/5.8.15-xanmod1/patch-5.8.15-xanmod1.xz
source = choose-gcc-optimization.sh
source = 0001-ZEN-Add-sysctl-and-CONFIG-to-disallow-unprivileged-CLONE_NEWUSER.patch::https://aur.archlinux.org/cgit/aur.git/plain/0001-ZEN-Add-sysctl-and-CONFIG-to-disallow-unprivileged-C.patch?h=linux-ck&id=616ec1bb1f2c0fc42b6fb5c20995996897b4f43b
validpgpkeys = ABAF11C65A2970B130ABE3C479BE3E4300411886
validpgpkeys = 647F28654894E3BD457199BE38DBBDC86092693E
sha256sums = e7f75186aa0642114af8f19d99559937300ca27acaf7451b36d4f9b0f85cf1f5
sha256sums = SKIP
- sha256sums = 5ad21f97be90f5feaf09a023a3bad2155eefd0025781150d9b09cfceda75ee1b
+ sha256sums = 4128050db96566fbd348c9b04825de6e43974c4234805b7c683093b2914c374c
sha256sums = 2c7369218e81dee86f8ac15bda741b9bb34fa9cefcb087760242277a8207d511
sha256sums = 6c66dba73251440352f93ff32b72f5dd49536d0f17ef9347867660fd3a626991
diff --git a/PKGBUILD b/PKGBUILD
index a2bf56bfbc0..4b038541b5e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -66,7 +66,7 @@ _makenconfig=
### IMPORTANT: Do no edit below this line unless you know what you're doing
pkgbase=linux-xanmod-anbox
-pkgver=5.8.14
+pkgver=5.8.15
_major=5.8
_branch=5.x
xanmod=1
@@ -101,7 +101,7 @@ done
sha256sums=('e7f75186aa0642114af8f19d99559937300ca27acaf7451b36d4f9b0f85cf1f5'
'SKIP'
- '5ad21f97be90f5feaf09a023a3bad2155eefd0025781150d9b09cfceda75ee1b'
+ '4128050db96566fbd348c9b04825de6e43974c4234805b7c683093b2914c374c'
'2c7369218e81dee86f8ac15bda741b9bb34fa9cefcb087760242277a8207d511'
'6c66dba73251440352f93ff32b72f5dd49536d0f17ef9347867660fd3a626991')
@@ -177,8 +177,8 @@ prepare() {
# If it's a full config, will be replaced
# If not, you should use scripts/config commands, one by line
if [ -f "${startdir}/myconfig" ]; then
- if [ $(wc -l < "${startdir}/myconfig") -gt 1000 ]; then
- # myconfig is a full config file. Replace it
+ if ! grep -q 'scripts/config' "${startdir}/myconfig"; then
+ # myconfig is a full config file. Replacing default .config
msg2 "Using user CUSTOM config..."
cp -f "${startdir}"/myconfig .config
else